# Market (Futures)

## Get All Symbols

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-all-symbols>
{% endhint %}

#### Function name:

```javascript
getAllFuturesSymbols(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt",
      testnet: "false"
});

async function getAllFuturesSymbols(exchange, options) {
    try {
        let result = await exchange.getAllFuturesSymbols(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getAllFuturesSymbols(myBitgetAccount, {productType: "umcbl"})
```

## Get Depth

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-depth>
{% endhint %}

#### Function name:

```javascript
getDepthFutures(options)
```

#### Usage:&#x20;

<pre class="language-javascript"><code class="lang-javascript">import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getDepthFutures(exchange, options) {
    try {
        let result = await exchange.getDepthFutures(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getDepthFutures(myBitgetAccount,
<strong>{ symbol: "BTCUSDT_UMCBL" });
</strong></code></pre>

## Get Single Symbol Tracker

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-single-symbol-ticker>
{% endhint %}

#### Function name:

```javascript
getSingleTickerFutures(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getSingleTickerFutures(exchange) {
    try {
        let result = await exchange.getSingleTickerFutures(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getSingleTickerFutures(myBitgetAccount, 
{ symbol: "BTCUSDT_UMCBL" });
```

## Get All Symbol Tracker

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-all-symbol-ticker>
{% endhint %}

#### Function name:

```javascript
getAllTickersFutures(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getAllTickersFutures(exchange) {
    try {
        let result = await exchange.getAllTickersFutures();
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getAllTickersFutures(myBitgetAccount 
    {
        productType: umcbl
    });
```

## Get Fills

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-fills>
{% endhint %}

#### Function name:

```javascript
getFillsFutures(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getFillsFutures(exchange) {
    try {
        let result = await exchange.getFillsFutures();
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getFillsFutures(myBitgetAccount, 
    {
        symbol: "BTCUSDT_UMCBL"
    });
```

## Get Candle Data

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-candle-data>
{% endhint %}

#### Function name:

```javascript
getCandlesFutures(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getCandlesFutures(exchange, options) {
    try {
        let result = await exchange.getCandlesFutures(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getCandlesFutures(myBitgetAccount, 
    {
        symbol: "BTCUSDT_UMCBL",
        granularity: "300",
        startTime: "1659406928000",
        endTime: "1659410528000"
    });
```

## Get Symbol Index Price

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-symbol-index-price>
{% endhint %}

#### Function name:

```javascript
getSymbolIndexPriceFutures(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getSymbolIndexPriceFutures(exchange, options) {
    try {
        let result = await exchange.getSymbolIndexPriceFutures(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getSymbolIndexPriceFutures(myBitgetAccount,
    {
        symbol: "BTCUSDT_UMCBL"
    });
```

## Get Symbol Next Funding Time

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-symbol-next-funding-time>
{% endhint %}

#### Function name:

```javascript
getNextFundingTimeFutures(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getNextFundingTimeFutures(exchange, options) {
    try {
        let result = await exchange.getNextFundingTimeFutures(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getNextFundingTimeFutures(myBitgetAccount, 
    { 
        symbol: "BTCUSDT_UMCBL"
    });
```

## Get History Funding Rate

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-history-funding-rate>
{% endhint %}

#### Function name:

```javascript
getHistoricFundingRateFutures(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getHistoricFundingRateFutures(exchange, options) {
    try {
        let result = await exchange.getHistoricFundingRateFutures(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getHistoricFundingRateFutures(myBitgetAccount, 
    { 
        symbol: "BTCUSDT_UMCBL"
    });
```

## Get Current Funding Rate

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-current-funding-rate>
{% endhint %}

#### Function name:

```javascript
getCurrentFundingRateFutures(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getCurrentFundingRateFutures(exchange, options) {
    try {
        let result = await exchange.getCurrentFundingRateFutures(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getCurrentFundingRateFutures(myBitgetAccount, 
    { 
        symbol: "BTCUSDT_UMCBL"
    });
```

## Get Open Interest

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-open-interest>
{% endhint %}

#### Function name:

```javascript
getOpenInterestFutures(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getOpenInterestFutures(exchange, options) {
    try {
        let result = await exchange.getOpenInterestFutures(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getOpenInterestFutures(myBitgetAccount, 
    { 
        symbol: "BTCUSDT_UMCBL"
    });
```

## Get Symbol Mark Price

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-symbol-mark-price>
{% endhint %}

#### Function name:

```javascript
getMarkPriceFutures(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getMarkPriceFutures(exchange, options) {
    try {
        let result = await exchange.getMarkPriceFutures(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getMarkPriceFutures(myBitgetAccount, 
    { 
        symbol: "BTCUSDT_UMCBL"
    });
```

## Get Symbol Leverage

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/mix/#get-symbol-leverage>
{% endhint %}

#### Function name:

```javascript
getSymbolLeverageFutures(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getSymbolLeverageFutures(exchange, options) {
    try {
        let result = await exchange.getSymbolLeverageFutures(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getSymbolLeverageFutures(myBitgetAccount, 
    { 
        symbol: "BTCUSDT_UMCBL"
    });
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.compendium.finance/pendax/using-pendax-sdk/bitget-functions/market-futures.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
